<form
  [formGroup]="searchForm"
  (ngSubmit)="onSubmit()">
  <mat-form-field subscriptSizing="dynamic">
    <input
      matInput
      type="text"
      formControlName="search"
      [placeholder]="placeholder"
      (keyup)="onInputChanged()">
    <button
      *ngIf="searchField.value?.length"
      mat-icon-button
      matSuffix
      color="warn"
      type="button"
      (click)="onInputDiscard()">
      <mat-icon>close</mat-icon>
    </button>
    <button
      mat-icon-button
      matSuffix
      type="submit">
      <mat-icon>search</mat-icon>
    </button>
  </mat-form-field>
</form>
